## fonts-inter 4.0+ds

=== Makefile ===
# List all targets with 'make list'
SRCDIR   := $(abspath $(lastword $(MAKEFILE_LIST))/..)
FONTDIR  := build/fonts
UFODIR   := build/ufo
BIN      := $(SRCDIR)/build/venv/bin
VENV     := build/venv/bin/activate
VERSION  := $(shell cat version.txt)
MAKEFILE := $(lastword $(MAKEFILE_LIST))

export PATH := $(BIN):$(PATH)

default: all

# arguments to fontmake
FM_ARGS :=
ifndef DEBUG
	FM_ARGS += --verbose WARNING
endif

# ---------------------------------------------------------------------------------
# intermediate sources

$(UFODIR)/%.glyphs: src/%.glyphspackage | $(UFODIR) venv
	. $(VENV) ; build/venv/bin/glyphspkg -o $(dir $@) $^

# features
build/features_data: $(UFODIR)/features $(wildcard src/features/*)
	touch "$@"
$(UFODIR)/features:
	@mkdir -p $(UFODIR)
	@rm -f $(UFODIR)/features
	@ln -s ../../src/features $(UFODIR)/features

# designspace & master UFOs
$(UFODIR)/%.var.designspace: $(UFODIR)/%.designspace misc/tools/gen-var-designspace.py | venv
	. $(VENV) ; python misc/tools/gen-var-designspace.py $< $@

$(UFODIR)/%.designspace: $(UFODIR)/%.glyphs $(UFODIR)/features misc/tools/postprocess-designspace.py | venv
	. $(VENV) ; fontmake $(FM_ARGS) -o ufo -g $< --designspace-path $@ \
		  --master-dir $(UFODIR) --instance-dir $(UFODIR)
	. $(VENV) ; python misc/tools/postprocess-designspace.py $@

# instance UFOs from designspace
$(UFODIR)/Inter%Italic.ufo: $(UFODIR)/Inter-Italic.designspace misc/tools/gen-instance-ufo.sh | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@
$(UFODIR)/Inter%.ufo: $(UFODIR)/Inter-Roman.designspace misc/tools/gen-instance-ufo.sh | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@

# designspace & master UFOs (for editing)
build/ufo-editable/%.designspace: $(UFODIR)/%.glyphs $(UFODIR)/features misc/tools/postprocess-designspace.py | venv
	@mkdir -p $(dir $@)
	. $(VENV) ; fontmake $(FM_ARGS) -o ufo -g $< --designspace-path $@ \
		  --master-dir $(dir $@) --instance-dir $(dir $@)
	. $(VENV) ; python misc/tools/postprocess-designspace.py --editable $@

# instance UFOs from designspace (for editing)
build/ufo-editable/Inter%Italic.ufo: build/ufo-editable/Inter-Italic.designspace misc/tools/gen-instance-ufo.sh | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@
build/ufo-editable/Inter%.ufo: build/ufo-editable/Inter-Roman.designspace misc/tools/gen-instance-ufo.sh | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@

editable-ufos: build/ufo-editable/.ok
	@echo "Editable designspace & UFOs can be found here:"
	@echo "  $(PWD)/build/ufo-editable"

build/ufo-editable/.ok: build/ufo-editable/Inter-Roman.designspace build/ufo-editable/Inter-Italic.designspace
	@rm -f build/ufo-editable/features
	@ln -s ../../src/features build/ufo-editable/features
	$(MAKE) \
		build/ufo-editable/Inter-Light.ufo \
		build/ufo-editable/Inter-ExtraLight.ufo \
		build/ufo-editable/Inter-Medium.ufo \
		build/ufo-editable/Inter-SemiBold.ufo \
		build/ufo-editable/Inter-Bold.ufo \
		build/ufo-editable/Inter-ExtraBold.ufo \
		\
		build/ufo-editable/Inter-LightItalic.ufo \
		build/ufo-editable/Inter-ExtraLightItalic.ufo \
		build/ufo-editable/Inter-MediumItalic.ufo \
		build/ufo-editable/Inter-SemiBoldItalic.ufo \
		build/ufo-editable/Inter-BoldItalic.ufo \
		build/ufo-editable/Inter-ExtraBoldItalic.ufo \
		\
		build/ufo-editable/InterDisplay-Light.ufo \
		build/ufo-editable/InterDisplay-ExtraLight.ufo \
		build/ufo-editable/InterDisplay-Medium.ufo \
		build/ufo-editable/InterDisplay-SemiBold.ufo \
		build/ufo-editable/InterDisplay-Bold.ufo \
		build/ufo-editable/InterDisplay-ExtraBold.ufo \
		\
		build/ufo-editable/InterDisplay-LightItalic.ufo \
		build/ufo-editable/InterDisplay-ExtraLightItalic.ufo \
		build/ufo-editable/InterDisplay-MediumItalic.ufo \
		build/ufo-editable/InterDisplay-SemiBoldItalic.ufo \
		build/ufo-editable/InterDisplay-BoldItalic.ufo \
		build/ufo-editable/InterDisplay-ExtraBoldItalic.ufo
	@touch $@
	@echo ""

# make sure intermediate files are not rm'd by make
.PRECIOUS: \
	$(UFODIR)/Inter-Black.ufo \
	$(UFODIR)/Inter-Regular.ufo \
	$(UFODIR)/Inter-Thin.ufo \
	$(UFODIR)/Inter-Light.ufo \
	$(UFODIR)/Inter-ExtraLight.ufo \
	$(UFODIR)/Inter-Medium.ufo \
	$(UFODIR)/Inter-SemiBold.ufo \
	$(UFODIR)/Inter-Bold.ufo \
	$(UFODIR)/Inter-ExtraBold.ufo \
	\
	$(UFODIR)/Inter-BlackItalic.ufo \
	$(UFODIR)/Inter-Italic.ufo \
	$(UFODIR)/Inter-ThinItalic.ufo \
	$(UFODIR)/Inter-LightItalic.ufo \
	$(UFODIR)/Inter-ExtraLightItalic.ufo \
	$(UFODIR)/Inter-MediumItalic.ufo \
	$(UFODIR)/Inter-SemiBoldItalic.ufo \
	$(UFODIR)/Inter-BoldItalic.ufo \
	$(UFODIR)/Inter-ExtraBoldItalic.ufo \
	\
	$(UFODIR)/InterDisplay-Black.ufo \
	$(UFODIR)/InterDisplay-Regular.ufo \
	$(UFODIR)/InterDisplay-Thin.ufo \
	$(UFODIR)/InterDisplay-Light.ufo \
	$(UFODIR)/InterDisplay-ExtraLight.ufo \
	$(UFODIR)/InterDisplay-Medium.ufo \
	$(UFODIR)/InterDisplay-SemiBold.ufo \
	$(UFODIR)/InterDisplay-Bold.ufo \
	$(UFODIR)/InterDisplay-ExtraBold.ufo \
	\
	$(UFODIR)/InterDisplay-BlackItalic.ufo \
	$(UFODIR)/InterDisplay-Italic.ufo \
	$(UFODIR)/InterDisplay-ThinItalic.ufo \
	$(UFODIR)/InterDisplay-LightItalic.ufo \
	$(UFODIR)/InterDisplay-ExtraLightItalic.ufo \
	$(UFODIR)/InterDisplay-MediumItalic.ufo \
	$(UFODIR)/InterDisplay-SemiBoldItalic.ufo \
	$(UFODIR)/InterDisplay-BoldItalic.ufo \
	$(UFODIR)/InterDisplay-ExtraBoldItalic.ufo \
	\
	$(UFODIR)/Inter-Roman.glyphs \
	$(UFODIR)/Inter-Italic.glyphs \
	$(UFODIR)/Inter-Roman.designspace \
	$(UFODIR)/Inter-Italic.designspace \
	$(UFODIR)/Inter-Roman.var.designspace \
	$(UFODIR)/Inter-Italic.var.designspace

# ---------------------------------------------------------------------------------
# products

# arguments to fontmake
FM_ARGS_2 := $(FM_ARGS) \
	--overlaps-backend pathops \
	--flatten-components \
	--no-autohint
ifndef DEBUG
	FM_ARGS_2 += --production-names
else
	FM_ARGS_2 += --no-production-names
endif


$(FONTDIR)/static/%.otf: $(UFODIR)/%.ufo build/features_data | $(FONTDIR)/static venv
	. $(VENV) ; fontmake -u $< -o otf --output-path $@.tmp.otf $(FM_ARGS_2)
	. $(VENV) ; psautohint -o $@ $@.tmp.otf
	@rm $@.tmp.otf

$(FONTDIR)/static/%.ttf: $(UFODIR)/%.ufo build/features_data | $(FONTDIR)/static venv
	. $(VENV) ; fontmake -u $< -o ttf --output-path $@ $(FM_ARGS_2)


AUTOHINT_ARGS := --stem-width-mode=qqq --no-info

$(FONTDIR)/static-hinted/Inter-Regular.ttf: $(FONTDIR)/static/Inter-Regular.ttf | $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) "$<" "$@"

$(FONTDIR)/static-hinted/InterDisplay-Regular.ttf: $(FONTDIR)/static/InterDisplay-Regular.ttf | $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) "$<" "$@"

$(FONTDIR)/static-hinted/Inter-Italic.ttf: $(FONTDIR)/static/Inter-Italic.ttf | $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) "$<" "$@"

$(FONTDIR)/static-hinted/InterDisplay-Italic.ttf: $(FONTDIR)/static/InterDisplay-Italic.ttf | $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) "$<" "$@"

$(FONTDIR)/static-hinted/InterDisplay-%Italic.ttf: $(FONTDIR)/static/InterDisplay-%Italic.ttf | $(FONTDIR)/static-hinted/InterDisplay-Italic.ttf $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) \
	  --reference $(FONTDIR)/static-hinted/InterDisplay-Italic.ttf "$<" "$@"

$(FONTDIR)/static-hinted/InterDisplay-%.ttf: $(FONTDIR)/static/InterDisplay-%.ttf | $(FONTDIR)/static-hinted/InterDisplay-Regular.ttf $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) \
	  --reference $(FONTDIR)/static-hinted/InterDisplay-Regular.ttf "$<" "$@"

$(FONTDIR)/static-hinted/Inter-%Italic.ttf: $(FONTDIR)/static/Inter-%Italic.ttf | $(FONTDIR)/static-hinted/Inter-Italic.ttf $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) \
	  --reference $(FONTDIR)/static-hinted/Inter-Italic.ttf "$<" "$@"

$(FONTDIR)/static-hinted/Inter-%.ttf: $(FONTDIR)/static/Inter-%.ttf | $(FONTDIR)/static-hinted/Inter-Regular.ttf $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint $(AUTOHINT_ARGS) \
	  --reference $(FONTDIR)/static-hinted/Inter-Regular.ttf "$<" "$@"


$(FONTDIR)/var/.%.var.ttf: $(UFODIR)/%.var.designspace build/features_data | $(FONTDIR)/var venv
	. $(VENV) ; fontmake -o variable -m $< --output-path $@ $(FM_ARGS_2)

$(FONTDIR)/var/.%.var.otf: $(UFODIR)/%.var.designspace build/features_data | $(FONTDIR)/var venv
	. $(VENV) ; fontmake -o variable-cff2 -m $< --output-path $@ $(FM_ARGS_2)


%.woff2: %.ttf | venv
	. $(VENV) ; misc/tools/woff2 compress -o "$@" "$<"


$(FONTDIR)/var/InterVariable.ttf: $(FONTDIR)/var/.Inter-Roman.var.ttf misc/tools/bake-vf.py
	. $(VENV) ; python misc/tools/bake-vf.py $< -o $@

$(FONTDIR)/var/InterVariable-Italic.ttf: $(FONTDIR)/var/.Inter-Italic.var.ttf misc/tools/bake-vf.py
	. $(VENV) ; python misc/tools/bake-vf.py $< -o $@


$(FONTDIR)/static:
	mkdir -p $@
$(FONTDIR)/static-hinted:
	mkdir -p $@
$(FONTDIR)/var:
	mkdir -p $@
$(UFODIR):
	mkdir -p $@


var: \
	$(FONTDIR)/var/InterVariable.ttf \
	$(FONTDIR)/var/InterVariable-Italic.ttf

var_web: \
	$(FONTDIR)/var/InterVariable.woff2 \
	$(FONTDIR)/var/InterVariable-Italic.woff2

web: var_web static_web

static: \
	$(FONTDIR)/static-hinted/Inter.ttc

STATIC_TEXT_FONTS := \
	Inter-Regular \
	Inter-Black \
	Inter-BlackItalic \
	Inter-Italic \
	Inter-Thin \
	Inter-ThinItalic \
	Inter-Light \
	Inter-LightItalic \
	Inter-ExtraLight \
	Inter-ExtraLightItalic \
	Inter-Medium \
	Inter-MediumItalic \
	Inter-SemiBold \
	Inter-SemiBoldItalic \
	Inter-Bold \
	Inter-BoldItalic \
	Inter-ExtraBold \
	Inter-ExtraBoldItalic

STATIC_DISPLAY_FONTS := \
	InterDisplay-Black \
	InterDisplay-BlackItalic \
	InterDisplay-Regular \
	InterDisplay-Italic \
	InterDisplay-Thin \
	InterDisplay-ThinItalic \
	InterDisplay-Light \
	InterDisplay-LightItalic \
	InterDisplay-ExtraLight \
	InterDisplay-ExtraLightItalic \
	InterDisplay-Medium \
	InterDisplay-MediumItalic \
	InterDisplay-SemiBold \
	InterDisplay-SemiBoldItalic \
	InterDisplay-Bold \
	InterDisplay-BoldItalic \
	InterDisplay-ExtraBold \
	InterDisplay-ExtraBoldItalic

STATIC_FONTS := $(STATIC_TEXT_FONTS) $(STATIC_DISPLAY_FONTS)
STATIC_FONTS_OTF := $(patsubst %,$(FONTDIR)/static/%.otf,$(STATIC_FONTS))
STATIC_FONTS_WEB := $(patsubst %,$(FONTDIR)/static/%.woff2,$(STATIC_FONTS))
STATIC_FONTS_TTF := $(patsubst %,$(FONTDIR)/static-hinted/%.ttf,$(STATIC_FONTS))

$(FONTDIR)/static/Inter.otc: $(STATIC_FONTS_OTF)
	. $(VENV) ; python -m fontTools.ttLib.__main__ -o $@ $^

$(FONTDIR)/static-hinted/Inter.ttc: $(STATIC_FONTS_TTF)
	. $(VENV) ; python -m fontTools.ttLib.__main__ -o $@ $^

static_otf: $(STATIC_FONTS_OTF)
static_ttf: $(STATIC_FONTS_TTF)
static_web: $(STATIC_FONTS_WEB)

all: var static web static_otf

.PHONY: \
	all var var_web web \
	static static_otf static_ttf static_web

# ---------------------------------------------------------------------------------
# testing

test: test_var test_static
test_var: \
	build/fontbakery-report-var.txt
test_static: \
	build/fontbakery-report-text.txt \
  build/fontbakery-report-display.txt

# disabled fontbakery tests:
FBAKE_DISABLED =
FBAKE_DISABLED_STATIC =

FBAKE_DISABLED += com.google.fonts/check/fontbakery_version
# Calls a server to see if there's a newer version of fontbakery and
# FAILs if there is. This breaks reproducible builds.

FBAKE_DISABLED += com.google.fonts/check/family/win_ascent_and_descent
# "FAIL OS/2.usWinAscent value should be equal or greater than 2269,
#  but got 1984 instead"
# "FAIL OS/2.usWinDescent value should be equal or greater than 660,
#  but got 494 instead"


FBAKE_DISABLED_STATIC += com.google.fonts/check/family/underline_thickness
# "Fonts have consistent underline thickness"
# Inter explicitly have varying underline thickness, matching wght

FBAKE_DISABLED_STATIC += com.google.fonts/check/contour_count
# This test is pedantic; generates warnings when the number of contours are different
# than what is usually seen in other fonts. No real world impact.

=== docs/Makefile ===
SRCDIR  := $(abspath $(lastword $(MAKEFILE_LIST))/../..)
FONTDIR := ../build/fonts
BIN     := $(SRCDIR)/build/venv/bin
VENV    := ../build/venv/bin/activate
Q = $(if $(filter 1,$(V) $(VERBOSE)),,@)  # make V=1 for verbose mode
export PATH := $(BIN):$(PATH)

HTTP_SERVER_BIND_ADDR ?= 127.0.0.1

default:
	@echo "Please specify a target: build, serve, dist" >&2

build: .ruby-bundle
	rm -rf _site
	bundle exec jekyll build

build-tmp: .ruby-bundle
	rm -rf _site-tmp
	bundle exec jekyll build --disable-disk-cache -b /tmp/inter-v4-website -d _site-tmp

serve: .ruby-bundle
	$(Q)( sleep 3 && \
		rm -f _site/lab/fonts && \
		ln -s ../../../build/fonts _site/lab/fonts ) &
	@#
	@# need to delete generated content so that jekyll, being a little dumb,
	@# can manage to copy the font files into there again.
	@# Why not a symlink you ask? Jekyll traverses it and copies the content.
	@# In the past we tried to work around this by periodically removing the
	@# copied font files and re-creating the symlink, but it was a frail process.
	@# For live testing with fonts, you'll instead want to use docs/lab/serve.py
	$(Q)rm -rf _site
	$(Q)bundle exec jekyll serve -b '' --watch \
		--config _config.yml,_config-dev.yml \
	  --host $(HTTP_SERVER_BIND_ADDR) --port 3002 \
	  --livereload --livereload-port 30002

serve-pub:
	exec $(MAKE) HTTP_SERVER_BIND_ADDR=0.0.0.0 serve

optimize-images:
	$(Q)for f in $$(find . -type f -name \*.png); do \
		echo optipng "$$f"; \
		optipng -quiet "$$f" & \
	done ; \
	wait

.ruby-bundle: Gemfile Gemfile.lock
	@if ! (command -v bundle >/dev/null && command -v jekyll >/dev/null); then \
	  echo "Please install Ruby bundle and jekyll: gem install bundler jekyll" >&2; \
	  exit 1; \
	fi
	bundle update
	bundle install
	touch .ruby-bundle

# -----------------------------------------------------------------------

dist: info lab/index.html
info: fonts _data/fontinfo.json lab/glyphinfo.json
fonts: font-files/Inter-Regular.woff2

FONTS_SRC := \
	$(FONTDIR)/static/Inter-Black.woff2 \
	$(FONTDIR)/static/Inter-BlackItalic.woff2 \
	$(FONTDIR)/static/Inter-Bold.woff2 \
	$(FONTDIR)/static/Inter-BoldItalic.woff2 \
	$(FONTDIR)/static/Inter-ExtraBold.woff2 \
	$(FONTDIR)/static/Inter-ExtraBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-ExtraLight.woff2 \
	$(FONTDIR)/static/Inter-ExtraLightItalic.woff2 \
	$(FONTDIR)/static/Inter-Italic.woff2 \
	$(FONTDIR)/static/Inter-Light.woff2 \
	$(FONTDIR)/static/Inter-LightItalic.woff2 \
	$(FONTDIR)/static/Inter-Medium.woff2 \
	$(FONTDIR)/static/Inter-MediumItalic.woff2 \
	$(FONTDIR)/static/Inter-Regular.woff2 \
	$(FONTDIR)/static/Inter-SemiBold.woff2 \
	$(FONTDIR)/static/Inter-SemiBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-Thin.woff2 \
	$(FONTDIR)/static/Inter-ThinItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Black.woff2 \
	$(FONTDIR)/static/InterDisplay-BlackItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Bold.woff2 \
	$(FONTDIR)/static/InterDisplay-BoldItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-ExtraBold.woff2 \
	$(FONTDIR)/static/InterDisplay-ExtraBoldItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-ExtraLight.woff2 \
	$(FONTDIR)/static/InterDisplay-ExtraLightItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Italic.woff2 \
	$(FONTDIR)/static/InterDisplay-Light.woff2 \
	$(FONTDIR)/static/InterDisplay-LightItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Medium.woff2 \
	$(FONTDIR)/static/InterDisplay-MediumItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Regular.woff2 \
	$(FONTDIR)/static/InterDisplay-SemiBold.woff2 \
	$(FONTDIR)/static/InterDisplay-SemiBoldItalic.woff2 \
	$(FONTDIR)/static/InterDisplay-Thin.woff2 \
	$(FONTDIR)/static/InterDisplay-ThinItalic.woff2 \
  $(FONTDIR)/var/InterVariable.woff2 \
  $(FONTDIR)/var/InterVariable-Italic.woff2 \
  $(FONTDIR)/var/InterVariable.ttf

font-files/Inter-Regular.woff2: $(FONTS_SRC)
	rm -rf font-files/Inter*
	mkdir -p font-files
	cp -a $^ font-files/
	$(Q)touch $@

$(FONTS_SRC):
	@echo "Missing fonts in $(FONTDIR)" >&2
	@echo "Did you forget to 'make web' in the repository root?" >&2
	@exit 1

lab/index.html: ../version.txt ../misc/tools/patch-version.py
	. $(VENV); python ../misc/tools/patch-version.py $@

_data/fontinfo.json: ../misc/tools/fontinfo.py
_data/fontinfo.json: font-files/Inter-Regular.woff2
	. $(VENV); python ../misc/tools/fontinfo.py -pretty $< > $@

lab/glyphinfo.json: ../misc/tools/gen-glyphinfo.py ../misc/UnicodeData.txt
lab/glyphinfo.json: ../build/ufo/Inter-Regular.ufo
	. $(VENV); python ../misc/tools/gen-glyphinfo.py -ucd ../misc/UnicodeData.txt $< > $@
../build/ufo/Inter-Regular.ufo: $(wildcard ../build/ufo/Inter-Regular.ufo/*.plist)
	touch $@

.PHONY: default build build-tmp serve serve-pub dist info fonts

=== debian/changelog ===
fonts-inter (4.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 20:41:05 +0100

fonts-inter (4.0~beta9+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Sat, 27 May 2023 16:15:19 +0200

fonts-inter (4.0~beta8+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 08 Apr 2023 22:10:05 +0200

=== debian/control ===
Source: fonts-inter
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
# commented out for the future, when we switch to build from source again
# fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter
Homepage: https://rsms.me/inter/

Package: fonts-inter
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Inter font family
 This is a typeface specially designed for user interfaces with focus
 on high legibility of small-to-medium sized text on computer screens.
 .
 The family features a tall x-height to aid in readability of
 mixed-case and lower-case text. Several OpenType features are
 provided as well, like contextual alternates that adjusts punctuation
 depending on the shape of surrounding glyphs, slashed zero for when
 you need to disambiguate "0" from "o", tabular numbers, etc.

Package: fonts-inter-variable
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Inter font family (VF)
 This is a typeface specially designed for user interfaces with focus
 on high legibility of small-to-medium sized text on computer screens.
 .
 The family features a tall x-height to aid in readability of
 mixed-case and lower-case text. Several OpenType features are
 provided as well, like contextual alternates that adjusts punctuation
 depending on the shape of surrounding glyphs, slashed zero for when
 you need to disambiguate "0" from "o", tabular numbers, etc.
 .
 This is the VF variant of the font.

## fonts-inter 4.1+ds

=== Makefile ===
--- 
+++ 
@@ -233,11 +233,19 @@
 	$(FONTDIR)/var/InterVariable.ttf \
 	$(FONTDIR)/var/InterVariable-Italic.ttf
 
+googlefonts: var
+	. $(VENV) ; gftools fix-family $(FONTDIR)/var/*.ttf \
+	--rename-family "Inter" \
+	--include-source-fixes \
+	-o $(FONTDIR)/googlefonts;
+	. $(VENV) ; gftools fontsetter $(FONTDIR)/googlefonts/Inter[opsz,wght].ttf src/googlefonts-fixes.yaml -o $(FONTDIR)/googlefonts/Inter[opsz,wght].ttf;
+	. $(VENV) ; gftools fontsetter $(FONTDIR)/googlefonts/Inter-Italic[opsz,wght].ttf src/googlefonts-fixes.yaml -o $(FONTDIR)/googlefonts/Inter-Italic[opsz,wght].ttf;
+
 var_web: \
 	$(FONTDIR)/var/InterVariable.woff2 \
 	$(FONTDIR)/var/InterVariable-Italic.woff2
 
-web: var_web static_web
+web: var_web static_web static_web_hinted
 
 static: \
 	$(FONTDIR)/static-hinted/Inter.ttc
@@ -284,8 +292,9 @@
 
 STATIC_FONTS := $(STATIC_TEXT_FONTS) $(STATIC_DISPLAY_FONTS)
 STATIC_FONTS_OTF := $(patsubst %,$(FONTDIR)/static/%.otf,$(STATIC_FONTS))
+STATIC_FONTS_TTF := $(patsubst %,$(FONTDIR)/static-hinted/%.ttf,$(STATIC_FONTS))
 STATIC_FONTS_WEB := $(patsubst %,$(FONTDIR)/static/%.woff2,$(STATIC_FONTS))
-STATIC_FONTS_TTF := $(patsubst %,$(FONTDIR)/static-hinted/%.ttf,$(STATIC_FONTS))
+STATIC_FONTS_WEB_HINTED := $(patsubst %,$(FONTDIR)/static-hinted/%.woff2,$(STATIC_FONTS))
 
 $(FONTDIR)/static/Inter.otc: $(STATIC_FONTS_OTF)
 	. $(VENV) ; python -m fontTools.ttLib.__main__ -o $@ $^
@@ -296,12 +305,13 @@
 static_otf: $(STATIC_FONTS_OTF)
 static_ttf: $(STATIC_FONTS_TTF)
 static_web: $(STATIC_FONTS_WEB)
-
-all: var static web static_otf
+static_web_hinted: $(STATIC_FONTS_WEB_HINTED)
+
+all: var googlefonts static web static_otf
 
 .PHONY: \
 	all var var_web web \
-	static static_otf static_ttf static_web
+	static static_otf static_ttf static_web static_web_hinted
 
 # ---------------------------------------------------------------------------------
 # testing
@@ -321,18 +331,3 @@
 # Calls a server to see if there's a newer version of fontbakery and
 # FAILs if there is. This breaks reproducible builds.
 
-FBAKE_DISABLED += com.google.fonts/check/family/win_ascent_and_descent
-# "FAIL OS/2.usWinAscent value should be equal or greater than 2269,
-#  but got 1984 instead"
-# "FAIL OS/2.usWinDescent value should be equal or greater than 660,
-#  but got 494 instead"
-
-
-FBAKE_DISABLED_STATIC += com.google.fonts/check/family/underline_thickness
-# "Fonts have consistent underline thickness"
-# Inter explicitly have varying underline thickness, matching wght
-
-FBAKE_DISABLED_STATIC += com.google.fonts/check/contour_count
-# This test is pedantic; generates warnings when the number of contours are different
-# than what is usually seen in other fonts. No real world impact.
-

=== debian/changelog ===
fonts-inter (4.1+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1093547)

 -- Alex Myczko <tar@debian.org>  Tue, 18 Feb 2025 11:48:54 +0000

fonts-inter (4.0+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Jul 2024 16:09:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
 # commented out for the future, when we switch to build from source again
 # fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	@echo NOTHING TO CONFIGURE
#	mkdir -p instance_ufo/features
#	mkdir -p master_ufo/features
#	cp src/features/*.fea instance_ufo/features
#	cp src/features/*.fea master_ufo/features

override_dh_auto_build:
	@echo UNFORTUNATELY THESE CANT BE BUILT FROM SOURCE WITHOUT INTERNET
#	fontmake --expand-features-to-instances -i -o otf -g src/Inter.glyphs
#	fontmake --expand-features-to-instances -o variable -g src/Inter.glyphs

override_dh_auto_test:
	@echo skipping test

override_dh_auto_clean:
	rm -rf instance_ufo/* master_ufo/*
	@echo skipping clean

override_dh_auto_install:
	@echo skipping install
